WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Virtualbox dependency error?  (Read 2397 times)

Offline _blue4meridian

  • Jr. Member
  • **
  • Posts: 50
Virtualbox dependency error?
« on: December 17, 2010, 11:59:58 AM »
I attempted to install Virtualbox from my download of the Tiny Core 3x repository (I use wifi only...) and it stopped at a dependency KERNEL error.  Perhaps, I'm missing something?
« Last Edit: December 17, 2010, 12:51:27 PM by blue4meridian2 »

Offline maro

  • Hero Member
  • *****
  • Posts: 1228
Re: Virtualbox dependency error?
« Reply #1 on: December 17, 2010, 03:10:12 PM »
Have you got enough memory? Are you running a 64-bit system (as there is no 64-bit kernel module for VBox)? Did you check all downloaded extension files against their MD5 checksum?

And finally: There is IMHO a "flaw" in 'tce-load' insofar as it "patches" .dep files immediatley after their download. That means it replaces 'KERNEL' with the result of uname -r (e.g. '2.6.33.3-tinycore'). Depending on how you use your repository you might have to apply the same "fudge".

Offline _blue4meridian

  • Jr. Member
  • **
  • Posts: 50
Re: Virtualbox dependency error?
« Reply #2 on: December 20, 2010, 07:47:11 PM »
@maro...

The last option worked... Thanx!

[^thehatsrule^: ad? removed]
« Last Edit: December 20, 2010, 09:28:23 PM by ^thehatsrule^ »